

# DescribeQuery
<a name="API_DescribeQuery"></a>

Retrieves information about a query, including its status.

## Request Syntax
<a name="API_DescribeQuery_RequestSyntax"></a>

```
GET /workspaces/{{workspaceName}}/queries/{{queryId}} HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeQuery_RequestParameters"></a>

The request uses the following URI parameters.

 ** [queryId](#API_DescribeQuery_RequestSyntax) **   <a name="iotsitewise-DescribeQuery-request-uri-queryId"></a>
The unique identifier for the query execution.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-]+`   
Required: Yes

 ** [workspaceName](#API_DescribeQuery_RequestSyntax) **   <a name="iotsitewise-DescribeQuery-request-uri-workspaceName"></a>
The name of the workspace associated with the query.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `^[a-zA-Z0-9_-]+$`   
Required: Yes

## Request Body
<a name="API_DescribeQuery_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeQuery_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "completedAt": number,
   "errorMessage": "string",
   "queryId": "string",
   "statistics": { 
      "bytesScanned": number,
      "executionTimeInMillis": number,
      "rowCount": number
   },
   "status": "string",
   "submittedAt": number
}
```

## Response Elements
<a name="API_DescribeQuery_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [completedAt](#API_DescribeQuery_ResponseSyntax) **   <a name="iotsitewise-DescribeQuery-response-completedAt"></a>
The date and time when the query reached a terminal state, in Unix epoch time. This field is present when the query status is COMPLETED, FAILED, or CANCELED.  
Type: Timestamp

 ** [errorMessage](#API_DescribeQuery_ResponseSyntax) **   <a name="iotsitewise-DescribeQuery-response-errorMessage"></a>
A human-readable error description. This field is present when the query status is FAILED.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [queryId](#API_DescribeQuery_ResponseSyntax) **   <a name="iotsitewise-DescribeQuery-response-queryId"></a>
The unique identifier for the query execution.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[a-zA-Z0-9-]+` 

 ** [statistics](#API_DescribeQuery_ResponseSyntax) **   <a name="iotsitewise-DescribeQuery-response-statistics"></a>
The query execution statistics. This field is present when the query status is COMPLETED.  
Type: [QueryStatistics](API_QueryStatistics.md) object

 ** [status](#API_DescribeQuery_ResponseSyntax) **   <a name="iotsitewise-DescribeQuery-response-status"></a>
The current query status.  
Type: String  
Valid Values: `SUBMITTED | RUNNING | COMPLETED | FAILED | CANCELED | CANCELING` 

 ** [submittedAt](#API_DescribeQuery_ResponseSyntax) **   <a name="iotsitewise-DescribeQuery-response-submittedAt"></a>
The date and time when the query was submitted, in Unix epoch time.  
Type: Timestamp

## Errors
<a name="API_DescribeQuery_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied.  
HTTP Status Code: 403

 ** InternalFailureException **   
 AWS IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.aws.amazon.com/iot-sitewise/latest/userguide/quotas.html) in the * AWS IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also
<a name="API_DescribeQuery_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotsitewise-2019-12-02/DescribeQuery) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotsitewise-2019-12-02/DescribeQuery) 